net.i2p.data

## Class SessionTag

- java.lang.Object
- - net.i2p.data.DataStructureImpl
  - - net.i2p.data.SimpleDataStructure
    - - net.i2p.data.SessionTag

All Implemented Interfaces:
  DataStructure

    public class SessionTag
    extends SimpleDataStructure

32 bytes, usually of random data. Changed from ByteArray to SimpleDataStructure in 0.8.2.

### Field Summary

Fields
`static int` `BYTE_LENGTH`

### Fields inherited from class net.i2p.data.SimpleDataStructure

`_data, _length`

### Constructor Summary

Constructors
Constructor and Description
`SessionTag()`
`SessionTag(boolean create)`
`SessionTag(byte[] val)`

### Method Summary

Methods
`int` `length()` The legal length of the byte array in this data structure

### Methods inherited from class net.i2p.data.SimpleDataStructure

`calculateHash, equals, fromBase64, fromByteArray, getData, hashCode, readBytes, setData, toBase64, toByteArray, toString, writeBytes`

### Methods inherited from class net.i2p.data.DataStructureImpl

`read`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BYTE_LENGTH

    public static final int BYTE_LENGTH

See Also:
  Constant Field Values

### Constructor Detail

#### SessionTag

    public SessionTag()

#### SessionTag

    public SessionTag(boolean create)

Parameters:
  `create` - if true, instantiate the data array and fill it with random data.

#### SessionTag

    public SessionTag(byte[] val)

### Method Detail

#### length

    public int length()

Description copied from class: `SimpleDataStructure`
The legal length of the byte array in this data structure

Specified by:
  `length` in class `SimpleDataStructure`